import java.applet.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;
import java.beans.*;

/**
 *  <h4>InternesFenster.java  - A bean to be placed in Frames and which registers itself as listener in Java-Beans placed in it.</h4>
 *  <br/>
 *  Copyright (C) 2011 Guido Kramann<br/>
 *  kramann@fh-brandenburg.de<br/>
 *  http://www.kramann.info<br/>
 *  <br/>
 *  <p>  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *  </p>
 *  <p>
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  </p>
 *  <p>
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *  </p>
 */
public class InternesFenster extends BasisInternesFenster
{
    /**<h4>In dieser Methode werden PropertyChange-Events verarbeitet, die durch eingef&uuml;gte Komponenten ausgel&ouml;st werden.
    Diese Methode muss vervollst&auml;ndigt werden, um Funktionalit&auml;ten zu realisieren.</h4> 
    */
    public void propertyChange(PropertyChangeEvent evt) 
    {
        System.out.println("Ereignisname:"+evt.getPropertyName()); 
    }    
}
